Loading...
Searching...
No Matches
spherical.h File Reference
libavutil » Video related » Spherical video mapping

Spherical video. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVSphericalMapping
| This structure describes how to handle spherical videos, outlining information about projection, initial layout, and any other view modifier. More...

## Enumerations

enum | AVSphericalProjection { AV_SPHERICAL_EQUIRECTANGULAR , AV_SPHERICAL_CUBEMAP , AV_SPHERICAL_EQUIRECTANGULAR_TILE , AV_SPHERICAL_HALF_EQUIRECTANGULAR , AV_SPHERICAL_RECTILINEAR , AV_SPHERICAL_FISHEYE }
| Projection of the video surface(s) on a sphere. More...

## Functions

AVSphericalMapping * | av_spherical_alloc (size_t *size)
| Allocate a AVSphericalVideo structure and initialize its fields to default values.
void | av_spherical_tile_bounds (const AVSphericalMapping *map, size_t width, size_t height, size_t *left, size_t *top, size_t *right, size_t *bottom)
| Convert the bounding fields from an AVSphericalVideo from 0.32 fixed point to pixels.
const char * | av_spherical_projection_name (enum AVSphericalProjection projection)
| Provide a human-readable name of a given AVSphericalProjection.
int | av_spherical_from_name (const char *name)
| Get the AVSphericalProjection form a human-readable name.

## Detailed Description

Spherical video.

Definition in file spherical.h.